/// <reference types="react" />
import { BaseComponent } from '../../Utilities';
import { IBreadcrumbProps, IBreadcrumbItem } from './Breadcrumb.types';
export interface IBreadCrumbData {
    props: IBreadcrumbProps;
    renderedItems: IBreadcrumbItem[];
    renderedOverflowItems: IBreadcrumbItem[];
}
export declare class BreadcrumbBase extends BaseComponent<IBreadcrumbProps, any> {
    static defaultProps: IBreadcrumbProps;
    private _classNames;
    private _focusZone;
    constructor(props: IBreadcrumbProps);
    /**
     * Sets focus to the first breadcrumb link.
     */
    focus(): void;
    render(): JSX.Element;
    componentWillReceiveProps(nextProps: IBreadcrumbProps): void;
    private _onReduceData;
    private _onRenderBreadcrumb;
    private _onRenderItem;
    private _onBreadcrumbClicked;
    /**
     * Validate incoming props
     * @param props Props to validate
     */
    private _validateProps(props);
}
